# Mobile data set state

An action block that enables or disables mobile data.

The fiber will proceed immediately without pause.

An alternative to this block is to use the Shell command privileged, ADB shell command or Shell command superuser block to execute: `svc data <enable|disable>`

Note! This feature isn’t officially supported, requires the privileged service since Android 5, may not work on all devices.

## Input arguments

- Mobile data — whether to enable or disable mobile data.
- Subscription id — id of subscription (SIM) to toggle, default is the system default data subscription.